AutoTranscribe now includes a self-serve Custom Vocabulary feature that allows partners to manage business-specific keywords that improve transcription accuracy. Partners can independently add, update, and delete custom vocabulary terms through a new API.This feature enables:
- Faster onboarding by reducing dependency on the ASAPP Delivery team
- More accurate transcriptions of industry-specific terminology and names that generic models often misinterpret
How It Works
How It Works
How It Works
Field DescriptionAPI Endpoints
- List all custom vocabs
GET /configuration/v1/auto-transcribe/custom-vocabulariesSample response - Details of a particular custom vocab
GET /configuration/v1/auto-transcribe/custom-vocabularies/\{customVocabularyId\}Sample response - Create a custom vocab
POST /configuration/v1/auto-transcribe/custom-vocabulariesSample RequestSample response - Delete a custom vocab
DELETE /configuration/v1/auto-transcribe/custom-vocabularies/\{customVocabularyId\}
FAQs
- Can I modify the custom vocabulary after it’s been created? Yes, users can update the custom vocabulary at any time. To do so, first delete the existing vocabulary and then submit a new create request. This process ensures that the vocabulary remains current and relevant.
- Can I send the create request for multiple custom vocab additions? Currently multiple custom vocab addition capability is not live, users must submit individual create requests for each addition. That said, If a large number of additions are required, please contact ASAPP’s support team for assistance.
- Is there a limit to the number of custom vocabularies that can be added? Yes, The maximum number of custom vocabulary entries is 200. However, this limit is subject to change as ASAPP continuously updates and expands its backend capabilities to support more custom vocab.
- Is there a limit to the number of sounds like items within the custom vocab? The maximum number of sounds like items should be 5 and length of each item should be 40 characters
AutoTranscribe now includes a self-serve feature that allows users to manage redaction entities through a configuration API. This enables users to independently enable or disable redaction of PCI and PII data in their transcriptions.Key benefits:
- Self-service configuration of which sensitive data types to redact
- Automated redaction of enabled entities during transcription
- Faster onboarding with reduced dependency on ASAPP teams
Some PCI rules are enabled by default for compliance and require ASAPP approval to modify.
How It Works
How It Works
How It Works
The API Calls take a single conversation identifier and immediately returns an array of messages that covers the full conversation.-
List redaction entities
GET /configuration/v1/redaction/redaction-entitiesSample Response -
List current active redaction entities
GET/configuration/v1/redaction/redaction-entities?active=trueQuerying the redaction entities with the active flag shows which redaction rules are currently active. By default, all auto-enabled entities will be active for every user, however, users can update these rules to suit their individual needs Sample Response -
Fetch a redaction entity:
GET /configuration/v1/redaction/redaction-entity/\{entityId\}Sample Response -
Activate or Disable a redaction entity
Change an entity to active or not by setting the active flag.
PATCH /configuration/v1/redaction/redaction-entity/\{entityId\}Sample Request BodyOn success, returns HTTP 200 and the Redaction entity resource. Sample Response
Example Entities
Below is a list of some sample entities:PCI (Payment Card Industry)PII (Personally Identifiable Information)
FAQs
- What is an entity? In the context of redaction, an entity refers to a specific type or category of information that you want to remove or obscure from the response text. Entities are the “labels” for the pieces of information you want redacted. For example, “NAME” is an entity that represents personal names, “ADDRESS” represents physical addresses, and “ZIP” represents postal codes. When you wish to redact, you specify which entities you want redacted from your text.
- Can I delete existing redaction entities? Users can only enable or disable the predefined entities listed in the previous section. Due to PCI compliance regulations, two entities (CREDIT_CARD_NUMBER and CVV) are initially disabled and can only be removed through ASAPP’s compliance process. All other entities are not enabled by default, but users have the flexibility to enable any of these according to their specific requirements. Users cannot create new entities or modify existing ones; they can only control the activation status of the predefined set.
- What is the accuracy of the redaction service of ASAPP? Our redaction service currently supports over 50 Out of the box (OOTB) entities, with the flexibility to expand and update this set as required. For specific entity customization, including enabling or disabling particular entities or suggesting new entities to tailor to your specific needs, please contact ASAPP’s support team.
ASAPP is adding an AutoTranscribe implementation pattern for Amazon Connect. ASAPP’s Amazon Connect Media Gateway will allow Kinesis Video Streams audio to be easily sent to AutoTranscribe.

Amazon Connect Media Gateway for AutoTranscribe
Learn more about the Amazon Connect Media Gateway for AutoTranscribe
AutoTranscribe Sandbox enables administrators to see speech-to-text capabilities designed for real-time agent assistance. Accessible through AI-Console, it’s a playground designed to preview ASAPP’s transcription without waiting for an integration to complete.
AutoTranscribe showing conversation transcriptions in a sandbox environment.

How It Works video
How It Works video
Watch the following video walkthrough to learn how to use the AutoTranscribe Sandbox:
ASAPP is adding an AutoTranscribe implementation pattern for Twilio. ASAPP’s Twilio Media Gateway will allow Twilio Media Streams audio to be easily sent to AutoTranscribe.
The new Media Gateway will allow for a simplified and easy integration for customers leveraging Twilio as their CCaaS provider, reducing time and effort of sending call media to ASAPP.

Twilio Media Gateway for AutoTranscribe
Learn more about integrating Twilio Media Gateway with AutoTranscribe
ASAPP is adding a new endpoint that retrieves the full set of messages for a specified conversation. This expands the delivery use cases for AutoTranscribe, providing a means to get a complete transcript at the end of a conversation on-demand, instead of in real-time during the conversation or in daily batches of conversations.It also serves as a fallback option to retrieve conversation messages in rare cases where real-time transcript delivery fails.
Get Transcript API Documentation
Learn more about using the Get Transcript API